Package org.apache.sling.scripting.api

# Interface CachedScript

public interface CachedScript
The `CachedScript` provides an abstraction on top of `CompiledScript` such that compiled scripts can be cached for further executions.

## Method Summary

Modifier and Type
Method
Description
`CompiledScript`
`getCompiledScript()`
Returns the compiled script which can be used for further executions / evaluations.
`String`
`getScriptPath()`
Returns the path of the script which was compiled and cached.

## Method Details

### getScriptPath

String getScriptPath()
Returns the path of the script which was compiled and cached.

Returns:
  the script's path

### getCompiledScript

CompiledScript getCompiledScript()
Returns the compiled script which can be used for further executions / evaluations.

Returns:
  the compiled script